Option Strict Off
Option Explicit On
Friend Class MainForm
	Inherits System.Windows.Forms.Form
    'Private Declare Function CTR_8254Mode Lib "AIOUSB" Alias "VBCTR_8254Mode" (ByVal DeviceIndex As Integer, ByVal BlockIndex As Integer, ByVal CounterIndex As Integer, ByVal Mode As Integer) As Integer
    'Private Declare Function CTR_8254ModeLoad Lib "AIOUSB"  Alias "VBCTR_8254ModeLoad"(ByVal DeviceIndex As Integer, ByVal BlockIndex As Integer, ByVal CounterIndex As Integer, ByVal Mode As Integer, ByVal LoadValue As Short) As Integer

    Public DeviceIndex As UInteger
	Dim DIOData As Integer
	Dim DoUpdate As Boolean
	Public DetectOK As Boolean
	
	Private Function FormatFreq(ByRef Freq As Double) As String
		If Freq >= 1000000 Then
			FormatFreq = VB6.Format(Freq / 1000000, "0.0MHz")
		ElseIf Freq >= 10000 Then 
			FormatFreq = VB6.Format(Freq / 1000, "0.0KHz")
		ElseIf Freq >= 1000 Then 
			FormatFreq = VB6.Format(Freq / 1000, "0.0KHz")
		ElseIf Freq >= 10 Then 
			FormatFreq = VB6.Format(Freq, "0.00Hz")
		ElseIf Freq >= 1 Then 
			FormatFreq = VB6.Format(Freq, "0.00Hz")
		Else
			FormatFreq = VB6.Format(Freq, "0.00Hz")
		End If
	End Function
	
	Private Sub Command1_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command1.Click
		Dim I As Integer
		For I = 0 To 4
			CTR_8254ModeLoad(DeviceIndex, I, 0, 2, 0)
			CTR_8254ModeLoad(DeviceIndex, I, 1, 2, 0)
			CTR_8254ModeLoad(DeviceIndex, I, 2, 3, 0)
		Next 
	End Sub
	
	Private Sub Command2_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command2.Click
        Dim count As Integer
        Dim readings(14) As UShort

        CTR_8254ReadAll(DeviceIndex, readings(0))

        For count = 0 To 14
            ctrLbl(count).Text = Hex(readings(count))
        Next count
    End Sub
	
	Private Sub MainForm_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
        Dim ERROR_SUCCESS As Object
        ERROR_SUCCESS = 0
		Dim Status As Integer
		
		DeviceIndex = diOnly
		
		'UPGRADE_WARNING: Couldn't resolve default property of object ERROR_SUCCESS. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
        If Status <> ERROR_SUCCESS Then
            Call VB6.ShowForm(DetectForm, VB6.FormShowConstants.Modal, Me)
            If DetectOK = False Then
                Me.Close()
                Exit Sub
            End If
        End If
		
		DoUpdate = True
	End Sub
End Class